package gomod

import (
	"fmt"
	"html/template"
	"net/http"
)
func Index(w http.ResponseWriter, r *http.Request) {
	r.ParseForm()
	t, err := template.ParseFiles("src/payease_declaration/view/index.html")
	if err != nil {
		fmt.Fprintf(w, "parse template error: %s", err.Error())
		return
	}
	t.Execute(w, nil)
}
//======================================二级商户入网==============================================
//二级商户入网提交
func SubMerchantDeclare(w http.ResponseWriter, r *http.Request) {
	if r.Method == "GET" {
		t, err := template.ParseFiles("src/payease_declaration/view/declaration/subMerchantDeclare.html")
		if err != nil {
			fmt.Fprintf(w, "parse template error: %s", err.Error())
			return
		}
		t.Execute(w, nil)
	} else {
		SubMerchantDeclareRequest(w,r)
	}
}
//二级商户查询
func SubMerchantQuery(w http.ResponseWriter, r *http.Request) {
	if r.Method == "GET" {
		t, err := template.ParseFiles("src/payease_declaration/view/declaration/subMerchantQuery.html")
		if err != nil {
			fmt.Fprintf(w, "parse template error: %s", err.Error())
			return
		}
		t.Execute(w, nil)
	}else{
		SubMerchantQueryRequest(w,r)
	}
}
//结算配置
func SettlementOrder(w http.ResponseWriter, r *http.Request) {
	if r.Method == "GET" {
		t, err := template.ParseFiles("src/payease_declaration/view/declaration/settlementOrder.html")
		if err != nil {
			fmt.Fprintf(w, "parse template error: %s", err.Error())
			return
		}
		t.Execute(w, nil)
	}else{
		SettlementOrderRequest(w,r)
	}
}
//计费信息配置
func BillingOrder(w http.ResponseWriter, r *http.Request) {
	if r.Method == "GET" {
		t, err := template.ParseFiles("src/payease_declaration/view/declaration/billingOrder.html")
		if err != nil {
			fmt.Fprintf(w, "parse template error: %s", err.Error())
			return
		}
		t.Execute(w, nil)
	}else{
		BillingOrderRequest(w,r)
	}
}
//结算配置查询
func SettlementRuleQuery(w http.ResponseWriter, r *http.Request) {
	if r.Method == "GET" {
		t, err := template.ParseFiles("src/payease_declaration/view/declaration/settlementRuleQuery.html")
		if err != nil {
			fmt.Fprintf(w, "parse template error: %s", err.Error())
			return
		}
		t.Execute(w, nil)
	}else{
		SettlementRuleQueryRequest(w,r)
	}
}
//模拟异步通知POST数据
func DataPost(w http.ResponseWriter, r *http.Request) {
	if r.Method == "GET" {
		t, err := template.ParseFiles("src/payease_declaration/view/post.html")
		if err != nil {
			fmt.Fprintf(w, "parse template error: %s", err.Error())
			return
		}
		t.Execute(w, nil)
	}else{
		PostRequest(w,r)
	}
}