package main
 
import (
	"fmt"
	"net/http"
	"payease_declaration/gomod"
)

func main() {
	fs := http.FileServer(http.Dir("src/payease/static"))
	http.Handle("/static/", http.StripPrefix("/static/", fs))
	http.HandleFunc("/", gomod.Index)
	
	http.HandleFunc("/subMerchantDeclare", gomod.SubMerchantDeclare)
	http.HandleFunc("/subMerchantQuery", gomod.SubMerchantQuery)
	http.HandleFunc("/settlementOrder", gomod.SettlementOrder)
	http.HandleFunc("/billingOrder", gomod.BillingOrder)
	http.HandleFunc("/settlementRuleQuery", gomod.SettlementRuleQuery)
	
	http.HandleFunc("/post", gomod.DataPost)
	
	err := http.ListenAndServe(":8084", nil)
	if err != nil {
		fmt.Println("ListenAndServe:", err)  
		//log.Fatal("ListenAndServe: ", err)
	}
}